Package org.eclipse.draw2d

# Class MarginBorder

java.lang.Object
org.eclipse.draw2d.AbstractBorder
org.eclipse.draw2d.MarginBorder

All Implemented Interfaces:
  `Border`

Direct Known Subclasses:
  `SeparatorBorder`

public class MarginBorder extends AbstractBorder
A border that provides blank padding.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Insets`
`insets`
This border's insets.

### Fields inherited from class org.eclipse.draw2d.AbstractBorder

`tempRect`

## Constructor Summary

Constructors
Constructor
Description
`MarginBorder(int allsides)`
Constructs a MarginBorder with equal padding on all sides.
`MarginBorder(int t, int l, int b, int r)`
Constructs a MarginBorder with padding specified by the passed values.
`MarginBorder(Insets insets)`
Constructs a MarginBorder with dimensions specified by insets.

## Method Summary

Modifier and Type
Method
Description
`Insets`
`getInsets(IFigure figure)`
Returns the Insets for this Border for the given Figure.
`void`
`paint(IFigure figure, Graphics graphics, Insets insets)`
This method does nothing, since this border is just for spacing.

### Methods inherited from class org.eclipse.draw2d.AbstractBorder

`getPaintRectangle, getPreferredSize, isOpaque`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### insets

protected Insets insets
This border's insets.

## Constructor Details

### MarginBorder

public MarginBorder(Insets insets)
Constructs a MarginBorder with dimensions specified by insets.

Parameters:
  `insets` - The Insets for the border
Since:
  2.0

### MarginBorder

public MarginBorder(int t, int l, int b, int r)
Constructs a MarginBorder with padding specified by the passed values.

Parameters:
  `t` - Top padding
  `l` - Left padding
  `b` - Bottom padding
  `r` - Right padding
Since:
  2.0

### MarginBorder

public MarginBorder(int allsides)
Constructs a MarginBorder with equal padding on all sides.

Parameters:
  `allsides` - Padding size for all sides of the border.
Since:
  2.0

## Method Details

### getInsets

public Insets getInsets(IFigure figure)
Description copied from interface: `Border`
Returns the Insets for this Border for the given Figure.

Parameters:
  `figure` - The figure this border belongs to
Returns:
  The insets
See Also:
  - `Border.getInsets(IFigure)`

### paint

public void paint(IFigure figure, Graphics graphics, Insets insets)
This method does nothing, since this border is just for spacing.

Parameters:
  `figure` - The figure this border belongs to
  `graphics` - The graphics object used for painting
  `insets` - The insets
See Also:
  - `Border.paint(IFigure, Graphics, Insets)`